[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.Destroy

Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy.

## Declaration

Source position: buttons.pp line 408

`public destructor TCustomSpeedButton.Destroy; override;`

## Description

Destroy is the destructor for TCustomSpeedButton. It frees resources allocated to the Glyph property, and calls the inherited Destroy method.

## See also

TGraphicControl.Destroy |  | Destructor for the class instance.